Partially update a layer

Partially update a layer

patchhttps://statsigapi.net/console/v1/layers/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Body

application/json
descriptionstring

A detailed description of the layer, explaining its purpose and functionality.

Constraints:max length: 1000
parametersobject[]

An array of parameters associated with the layer, each defining specific attributes.

Show child attributes
namestringrequired

The name of this parameter, used for identification within the layer.

typestringrequired

The data type that this parameter returns. Allowed types include: string, boolean, number, object, and array.

Allowed values:stringnumberbooleanobjectarray
defaultValueoneOfrequired

The default value for this parameter, which must match the specified type.

Constraints:stringnumberbooleanobjectoneOf[]
descriptionstring

An optional helpful description of what this layer parameter does, providing context for its purpose.

schemastring

Optional JSON schema for object parameters. If provided, defaultValue must satisfy the schema.

Constraints:nullable
targetAppsoneOf

List of target applications that this layer is intended for.

Constraints:stringstring[]

Response

application/json
200· Partial update layer response
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
idstringrequired

ID

namestring

Optional name for the configuration.

idTypestringrequired

The ID type used for this layer, important for validation.

descriptionstringrequired

A detailed description of the layer, explaining its purpose and functionality.

Constraints:max length: 1000
lastModifierIDstringrequired

ID of the last modifier.

Constraints:nullable
lastModifiedTimenumberrequired

Time of the last modification.

Constraints:format: doublenullable
lastModifierEmailstringrequired

Email of the last modifier.

Constraints:nullable
lastModifierNamestringrequired

Name of the last modifier.

Constraints:nullable
creatorIDstringrequired

ID of the user who created the entity.

Constraints:nullable
createdTimenumberrequired

Timestamp when the entity was created.

Constraints:format: double
creatorNamestringrequired

Name of the creator.

Constraints:nullable
creatorEmailstringrequired

Email of the creator.

Constraints:nullable
tagsstring[]

Optional tags for categorization.

targetAppsoneOf

List of target applications that this layer is intended for.

Constraints:stringstring[]
holdoutIDsstring[]

Holdouts applied to this configuration.

teamstring

Optional name for the responsible team.

Constraints:nullable
teamIDstring

Optional ID of the responsible team.

Constraints:nullable
versionnumber

Version number

Constraints:format: double
isImplicitLayerbooleanrequired

Indicates if the layer was automatically created by Statsig during experiment creation.

parametersobject[]required

An array of parameters associated with the layer, each defining specific attributes.

namestringrequired

The name of this parameter, used for identification within the layer.

typestringrequired

The data type that this parameter returns. Allowed types include: string, boolean, number, object, and array.

Allowed values:stringnumberbooleanobjectarray
defaultValueoneOfrequired

The default value for this parameter, which must match the specified type.

Constraints:stringnumberbooleanobjectoneOf[]
descriptionstring

An optional helpful description of what this layer parameter does, providing context for its purpose.

schemastring

Optional JSON schema for object parameters. If provided, defaultValue must satisfy the schema.

Constraints:nullable
targeting_gate_parameter_valuesobject[]required

Parameter values returned when a targeting gate passes during ship-with-targeting.

targetingGateNamestringrequired

The name of the targeting gate for these shipped values.

parametersobjectrequired

Layer parameter values returned when the targeting gate passes.

holdout_parameter_valuesobject[]required

Holdout-specific parameter values for this layer.

holdoutIDstringrequired

The ID of the holdout for these layer parameter values.

parametersobjectrequired

Layer parameter values returned when the holdout gate passes.

excludeNewParamsbooleanrequired

Whether newly added layer parameters should be excluded from this holdout edge.

permalinkstringrequired

A permalink to this layer in the Statsig Console.

Constraints:format: uri
400· Invalid request. Please check the request input and try again.
statusintegerrequired
Allowed values:400
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired

Was this helpful?